# Get UK8S CNI Node Information - GetUK8SCNINodeInfo

## Overview

Get CNI versions, status, and version synchronization information for nodes in a UK8S cluster.






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUK8SCNINodeInfo`.                      | **Yes** |
| **PublicKey**  | string  | AccessKey ID, obtained from [Console](https://console.sigcalcloud.com/uaccount/api_manage)                                              | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability zone. Optional. |No|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **ClusterId** | string | UK8S cluster ID |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **NodeInfoSet** | array[[*NodePluginInfo*](#nodeplugininfo)] | CNI version and status information for each node. |No|
| **DataSource** | string | Data source: database for stored records, or ipamd_http for live queries through ipamd. |No|
| **Partial** | boolean | Whether live queries failed for some nodes. |No|
| **HighestVersion** | string | Highest valid CNI version reported by the nodes. |No|
| **AllNodesSynced** | boolean | Whether live queries succeeded for all nodes and their CNI versions match. Always false when DataSource is database. |No|

#### Data Model


#### NodePluginInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Node** | string | Node Name |**Yes**|
| **Version** | string | Plugin Version |No|
| **Status** | int | Plugin working status, 0: Unknown, 1: Normal, 2: Abnormal, 3: Upgrading |No|
| **UpdateTime** | int | Plugin Information Update Time |No|
| **OperationResult** | int | Last plugin operation result, 0: No last operation result, or currently executing upgrade or query 1: Retrieval successful 2: Retrieval failed 3: Upgrade successful 4: Upgrade failed |No|
| **IP** | string | Node IP Address |No|

## Example

### Request Example
    
```
https://api.sigcalcloud.com/?Action=GetUK8SCNINodeInfo
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=vlkPRhhO
&ClusterId=CKXpkgnw
&ClusterId=LyhqvKKN
```

### Response Example
    
```json
{
  "Action": "GetUK8SCNINodeInfoResponse",
  "RetCode": 0
}
```





